Bug 957348

Summary: Review Request: python-pylibravatar - Python module for Libravatar
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Ricky Elrod <relrod>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: a.badger, francois, notting, relrod
Target Milestone: ---Flags: relrod: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-09 20:50:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 980281    
Bug Blocks:    

Description Ralph Bean 2013-04-27 08:49:24 EDT
Spec URL: http://ralph.fedorapeople.org//python-pylibravatar.spec
SRPM URL: http://ralph.fedorapeople.org//python-pylibravatar-1.5-1.fc18.src.rpm

Description:
PyLibravatar is an easy way to make use of the federated Libravatar
avatar hosting service from within your Python applications.
Comment 1 Ralph Bean 2013-04-27 08:49:28 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5307871
Comment 2 Toshio Ernie Kuratomi 2013-04-27 11:01:00 EDT
Some notes about the python-pydns dependency:

* Might want to become comaintainer there.  it looks like pwouters may only be maintainer because of a dep on it from python-pypf.  It's currently at 2.3.3 and 2.3.6 has been released upstream (in 2012).
* AFAIK there isn't a python3-pydns package in Fedora.  Looking at upstream, I suspect that python3-py3dns is going to need to be packaged for that.  Details can be read in the notes at the bottom of the sourceforge download page: http://sourceforge.net/projects/pydns/files/py3dns/
Comment 3 Ricky Elrod 2013-06-30 19:03:24 EDT
Taking for review.
Comment 4 Ricky Elrod 2013-06-30 19:08:44 EDT
There's just two rpmlint warnings that should be easy to fix:

python-pylibravatar.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-pylibravatar-1.5/README.txt
python-pylibravatar.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-pylibravatar-1.5/Changelog.txt

Everything else looks good and I will approve when those are fixed.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-pylibravatar-1.5-1.fc20.noarch.rpm
python-pylibravatar.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-pylibravatar-1.5/README.txt
python-pylibravatar.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-pylibravatar-1.5/Changelog.txt
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-pylibravatar
python-pylibravatar.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-pylibravatar-1.5/README.txt
python-pylibravatar.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-pylibravatar-1.5/Changelog.txt
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-pylibravatar (rpmlib, GLIBC filtered):
    python(abi)
    python-pydns



Provides
--------
python-pylibravatar:
    python-pylibravatar



Source checksums
----------------
http://pypi.python.org/packages/source/p/pyLibravatar/pyLibravatar-1.5.tar.gz :
  CHECKSUM(SHA256) this package     : e3566e00e0513394c06bfd04b35aadd84522332196554c39b1e4669908fdd3ac
  CHECKSUM(SHA256) upstream package : e3566e00e0513394c06bfd04b35aadd84522332196554c39b1e4669908fdd3ac


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 957348
Comment 5 Ricky Elrod 2013-06-30 19:09:36 EDT
(I'm ignoring the python3 side of things for now because of both what Toshio said and the fact that PyLibravatar doesn't support python3 yet anyway).
Comment 6 Ralph Bean 2013-07-01 12:38:27 EDT
New release.  I used sed to address the end of line encoding issue found by rpmlint as suggested here https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

Spec URL: http://threebean.org/rpm/python-pylibravatar.spec
SRPM URL: http://threebean.org/rpm/python-pylibravatar-1.5-2.fc18.src.rpm
Comment 7 Ricky Elrod 2013-07-01 12:54:04 EDT
Cool, cool. Looks good.

APPROVED.
Comment 8 Ralph Bean 2013-07-01 14:22:50 EDT
New Package SCM Request
=======================
Package Name: python-pylibravatar
Short Description: Python module for Libravatar
Owners: ralph
Branches: f19 f18 el6
InitialCC:
Comment 9 Jon Ciesla 2013-07-01 14:51:39 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-07-01 21:25:42 EDT
python-pylibravatar-1.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-pylibravatar-1.5-2.fc19
Comment 11 Fedora Update System 2013-07-01 21:25:58 EDT
python-pylibravatar-1.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pylibravatar-1.5-2.fc18
Comment 12 Ralph Bean 2013-07-01 21:26:59 EDT
Just discovered that python-pydns is not branched for el6.

Marked 980281 as blocking.
Comment 13 Fedora Update System 2013-08-11 14:29:03 EDT
python-pylibravatar-1.5-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-08-11 14:31:08 EDT
python-pylibravatar-1.5-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-08-22 09:10:09 EDT
python-pylibravatar-1.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pylibravatar-1.5-3.el6
Comment 16 Fedora Update System 2013-09-07 14:26:58 EDT
python-pylibravatar-1.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Ralph Bean 2014-09-30 10:13:49 EDT
Package Change Request
======================
Package Name: python-pylibravatar
New Branches: epel7
Owners: ralph
Comment 18 Jon Ciesla 2014-09-30 11:40:12 EDT
Git done (by process-git-requests).